gstreamermm: Gst::FakeSink Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::FakeSink Class Reference
[gstreamermm Plugins]

A Wrapper for the fakesink plugin. More...

Inherits Gst::BaseSink.

Collaboration diagram for Gst::FakeSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~FakeSink ()
GstFakeSink* | gobj ()
| Provides access to the underlying C GObject.
const GstFakeSink* | gobj () const
| Provides access to the underlying C GObject.
GstFakeSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gst::FakeSinkStateError > | property_state_error ()
| Generate a state change error.
Glib::PropertyProxy_ReadOnly < Gst::FakeSinkStateError > | property_state_error () const
| Generate a state change error.
Glib::PropertyProxy< bool > | property_silent ()
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Don't produce last_message events.
Glib::PropertyProxy< bool > | property_dump ()
| Dump buffer contents to stdout.
Glib::PropertyProxy_ReadOnly < bool > | property_dump () const
| Dump buffer contents to stdout.
Glib::PropertyProxy< bool > | property_signal_handoffs ()
| Send a signal before unreffing the buffer.
Glib::PropertyProxy_ReadOnly < bool > | property_signal_handoffs () const
| Send a signal before unreffing the buffer.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_last_message () const
| The message describing current status.
Glib::PropertyProxy< bool > | property_can_activate_push ()
| Can activate in push mode.
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_push () const
| Can activate in push mode.
Glib::PropertyProxy< bool > | property_can_activate_pull ()
| Can activate in pull mode.
Glib::PropertyProxy_ReadOnly < bool > | property_can_activate_pull () const
| Can activate in pull mode.
Glib::PropertyProxy< int > | property_num_buffers ()
| Number of buffers to accept going EOS.
Glib::PropertyProxy_ReadOnly< int > | property_num_buffers () const
| Number of buffers to accept going EOS.
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Buffer >&, const Glib::RefPtr< Gst::Pad >& > | signal_handoff ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Buffer >&, const Glib::RefPtr< Gst::Pad >& > | signal_preroll_handoff ()
## Static Public Member Functions
static Glib::RefPtr< FakeSink > | create ()
| Creates a new fakesink plugin with a unique name.
static Glib::RefPtr< FakeSink > | create (const Glib::ustring& name)
| Creates a new fakesink plugin with the given name.
## Protected Member Functions
| FakeSink ()
| FakeSink (const Glib::ustring& name)
virtual void | on_handoff (const Glib::RefPtr< Gst::Buffer >& arg0, const Glib::RefPtr< Gst::Pad >& arg1)
virtual void | on_preroll_handoff (const Glib::RefPtr< Gst::Buffer >& arg0, const Glib::RefPtr< Gst::Pad >& arg1)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::FakeSink > | wrap (GstFakeSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the fakesink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FakeSink::~FakeSink | ( |  | ) | `[virtual]`

Gst::FakeSink::FakeSink | ( |  | ) | `[protected]`

Gst::FakeSink::FakeSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FakeSink> Gst::FakeSink::create | ( |  | ) | `[static]`

Creates a new fakesink plugin with a unique name.

static Glib::RefPtr<FakeSink> Gst::FakeSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new fakesink plugin with the given name.

const GstFakeSink* Gst::FakeSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstFakeSink* Gst::FakeSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstFakeSink* Gst::FakeSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

virtual void Gst::FakeSink::on_handoff | ( | const Glib::RefPtr< Gst::Buffer >& | arg0,
|  | const Glib::RefPtr< Gst::Pad >& | arg1 |
| ) |  |  | `[protected, virtual]`

virtual void Gst::FakeSink::on_preroll_handoff | ( | const Glib::RefPtr< Gst::Buffer >& | arg0,
|  | const Glib::RefPtr< Gst::Pad >& | arg1 |
| ) |  |  | `[protected, virtual]`

Glib::PropertyProxy<bool> Gst::FakeSink::property_can_activate_pull | ( |  | ) |

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSink::property_can_activate_pull | ( |  | ) | const

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSink::property_can_activate_push | ( |  | ) | const

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSink::property_can_activate_push | ( |  | ) |

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSink::property_dump | ( |  | ) |

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSink::property_dump | ( |  | ) | const

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::FakeSink::property_last_message | ( |  | ) | const

The message describing current status.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FakeSink::property_num_buffers | ( |  | ) |

Number of buffers to accept going EOS.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FakeSink::property_num_buffers | ( |  | ) | const

Number of buffers to accept going EOS.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSink::property_signal_handoffs | ( |  | ) | const

Send a signal before unreffing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSink::property_signal_handoffs | ( |  | ) |

Send a signal before unreffing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSink::property_silent | ( |  | ) | const

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSink::property_silent | ( |  | ) |

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::FakeSinkStateError> Gst::FakeSink::property_state_error | ( |  | ) |

Generate a state change error.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::FakeSinkStateError> Gst::FakeSink::property_state_error | ( |  | ) | const

Generate a state change error.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Buffer>&,const Glib::RefPtr<Gst::Pad>& > Gst::FakeSink::signal_handoff | ( |  | ) |

Prototype:
  `void on_my_handoff(const Glib::RefPtr<Gst::Buffer>& arg0, const Glib::RefPtr<Gst::Pad>& arg1)`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Buffer>&,const Glib::RefPtr<Gst::Pad>& > Gst::FakeSink::signal_preroll_handoff | ( |  | ) |

Prototype:
  `void on_my_preroll_handoff(const Glib::RefPtr<Gst::Buffer>& arg0, const Glib::RefPtr<Gst::Pad>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FakeSink > wrap | ( | GstFakeSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/fakesink.h